using Microsoft.AspNetCore.Mvc;
using Nirvana.Common;
using System.Threading.Tasks;
using YBDevice.Application.ViewInfo;

namespace YBDevice.NWeb.Pages.OutProduct
{
    public class ExpressModel : BaseModel
    {
        private IViewEngineService _viewEngineService;
        public ViewS2SDto viewdata = new ViewS2SDto();
        public ExpressModel(IViewEngineService viewEngineService)
        {
            _viewEngineService = viewEngineService;
        }
        public async Task OnGetAsync()
        {
            viewdata = await _viewEngineService.GetBtnListAsync();
        }
    }
}
